ACPISRC(1)

NAME
acpisrc - ACPICA source code conversion utility

SYNOPSIS
acpisrc [-c|-l|-u][-d][-s][-v][-y]<source-dir><dest-dir> <aml-file>

DESCRIPTION
This manual page briefly documents the acpisrc command. The option list is taken from the acpisrc interactive help.

acpisrc converts the ACPICA into various forms for use with different operating systems. Source for ACPICA may be obtained from http://www.acpica.org/source/.

Much more detailed documentation may be found at http://www.acpica.org/documentation/.

OPTIONS

-c  Generate cleaned version of the source

-h  Insert dual-license header into all module

-l  Generate Linux version of the source

-u  Generate custom source translation

-d  Leave debug statements in code

-s  Generate source statistics only

-v  Verbose mode

-y  Suppress file overwrite prompts

AUTHOR
acpisrc was written by Robert Moore <robert.moore@intel.com>.

This manual page was written by Al Stone <ahs3@redhat.com> for the Fedora project (but may be used by others).